Get Auth Context
Retrieve the logged in user's auth context
Filters projects based on the supervisor role. When this filter is true it will not include the projects in which the current user is having only supervisor role
Include Group information. When the flag is true it will include all the groups that has been added to the project and the user is a part of.
Include Projects information. When the flag is true it will include project informationfor the user
apiVersion
'Success' with the auth context
{
"userRoles": [
"string"
],
"userPermissions": [
"string"
],
"projects": [
{
"projectId": "string",
"projectName": "string",
"userRoles": [
"string"
],
"userPermissions": [
"string"
],
"sharedResources": false,
"groups": [
{
"id": "c493a95e-c4d1-4496-8595-e73902701c95:fe69d7ca-40a6-4de5-8f33-d462f4656938",
"displayName": "[email protected]",
"groupType": "AD_GROUP, USER_GROUP",
"domain": "vmware.com",
"usersCount": 1
}
]
}
],
"id": "string",
"name": "string"
}
Unauthorized, the user is not authenticated
Forbidden, the user lacks permissions
curl -H 'Authorization: <value>' https://{api_host}/rbac-service/api/auth-context